<html>
<head>
<!-- meta http-equiv="refresh" content="3"/ -->
<%= javascript_include_tag :defaults %>
<%= stylesheet_link_tag 'board' %>
</head>
<body>
<script type="text/javascript">
var client_state = <%= @board.checks != nil ? @board.checks.size : 0 %>;
var chat_state = <%= @board.messages.size %>;
var last_id = "<%= @last_check != nil ? "c#{@last_check.x}#{@last_check.y}" : '' %>";
var board_id = <%= @board.id %>;
</script>
<h1><span id="player1"><%=h @board.player1 %></span> vs <span id="player2"><%=h @board.player2 %></span></h1>

<div style="display:none" id="message_container">
<table align="center" cellpadding="0" cellspacing="0" bgcolor="#FAD163" style="margin-bottom:5">
  <tr>
    <td class="bubble tl" align="left" valign="top"><img src="<%= image_path 'corner_tl.gif'%>" class="c" alt="" /></td>
    <td class="bubble" rowspan="2" style="font-family:arial;text-align:left;font-weight:bold;padding:3 0"><b id="message">Initial message</b>&nbsp;<a href="" onclick="Element.hide('message_container');return false">Hide</a></td>
    <td class="bubble tr" align="right" valign="top"><img src="<%= image_path 'corner_tr.gif'%>" class="c" alt="" /></td>
  </tr>
  <tr>
    <td class="bubble bl" align="left" valign="bottom"><img src="<%= image_path 'corner_bl.gif'%>" class="c" alt="" /></td>
    <td class="bubble br" align="right" valign="bottom"><img src="<%= image_path 'corner_br.gif' %>" class="c" alt="" /></td>
  </tr>
</table>
</div>

<%= yield %>
</body>
</html>
